Verify Email
curl --request GET \
--url https://api.bunship.com/api/v1/auth/verify-email/{token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bunship.com/api/v1/auth/verify-email/{token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bunship.com/api/v1/auth/verify-email/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Email verified successfully. You can now login."
}
Auth
Verify Email
Confirm an email address using the verification token
GET
/
api
/
v1
/
auth
/
verify-email
/
{token}
Verify Email
Verifies a user’s email address using the token sent in the verification email. This endpoint is typically called when the user clicks the link in the email.
Auth
None required. The verification token in the URL serves as authentication.Path Parameters
Email verification token from the verification email.
Response
Confirmation message.
{
"message": "Email verified successfully. You can now login."
}
Errors
| Status | Code | Description |
|---|---|---|
400 | VALIDATION_ERROR | Token is invalid or has already been used |
Example
curl https://api.bunship.com/api/v1/auth/verify-email/vrf_abc123def456
⌘I

